# ParticipateAssetIssue

Transfer TRC10 token.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `to_address` - String - Receiving address, converted to a hex string.
* `owner_address` - String - the participant address, converted to a hex string.
* `amount` - int64 - The number of trx participating in token issuance.
* `asset_name` - String - Token id, default hexString.
* `visible` - Boolean - Optional. Specifies whether the address is in Base58 format (default: false)

## **Returns**

Transaction object - JSON object: Unsigned transaction, please refer to the [Transaction](https://developers.tron.network/docs/tron-protocol-transaction) chapter for the fields contained in it. Since the transaction type is `ParticipateAssetIssueContract`, the fields contained in `raw_data.contract[0].parameter.value` in the transaction are as follows:

| Field          | Type   | Description                                                      |
| -------------- | ------ | ---------------------------------------------------------------- |
| owner\_address | string | Account address                                                  |
| to\_address    | string | Issuer's address                                                 |
| asset\_name    | string | token iD                                                         |
| amount         | int64  | The amount of TRX used to purchase issued Token, the unit is sun |

```json
// Result
{}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/participateassetissue \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "to_address": "TPswDDCAWhJAZGdHPidFg5nEf8TkNToDX1",
  "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "asset_name": "1000001031303030303031",
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/trc10-token/participateassetissue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
